Points
Create a new points ledger entry
Create a new points ledger entry for a customer.
POST
/
api
/
v202506
/
customers
/
{customer_id}
/
points_ledgers
Create a new points ledger entry
curl --request POST \
--url https://api.fluid.app/api/v202506/customers/{customer_id}/points_ledgers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"points_ledger": {
"amount": 250,
"idempotency_key": "goodwill-credit-30517-2026-09-14",
"metadata": {
"transaction_type": "adjustment",
"reason": "Goodwill credit for delayed paper shipment"
}
}
}
'import requests
url = "https://api.fluid.app/api/v202506/customers/{customer_id}/points_ledgers"
payload = { "points_ledger": {
"amount": 250,
"idempotency_key": "goodwill-credit-30517-2026-09-14",
"metadata": {
"transaction_type": "adjustment",
"reason": "Goodwill credit for delayed paper shipment"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
points_ledger: {
amount: 250,
idempotency_key: 'goodwill-credit-30517-2026-09-14',
metadata: {
transaction_type: 'adjustment',
reason: 'Goodwill credit for delayed paper shipment'
}
}
})
};
fetch('https://api.fluid.app/api/v202506/customers/{customer_id}/points_ledgers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"points_ledger": {
"id": 48213,
"amount": 250,
"metadata": {
"transaction_type": "adjustment",
"reason": "Goodwill credit for delayed paper shipment"
},
"customer_id": 30517,
"company_id": 1405,
"created_at": "2026-09-14T16:05:22Z",
"updated_at": "2026-09-14T16:05:22Z",
"total_balance": 1250
},
"meta": {
"request_id": "8c2f4e71-3b9a-4d6e-a1f5-7e0b9c3d2a48",
"timestamp": "2026-09-14T16:05:22Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"cursor": "<string>",
"limit": 123,
"prev_cursor": "<string>",
"next_cursor": "<string>",
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Customer ID
Body
application/json
Request payload
Show child attributes
Show child attributes
⌘I
Create a new points ledger entry
